GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-repository/repository-details/{geoLocation}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "46a9aa20-b0ff-4576-afe8-c86de4155bd2",
"customer_guids": [
"fbdc9e61-8cfa-479c-bde8-5340380196af",
"8fb826c4-4e1e-49bc-8e38-de77f2822788",
"cbc86d1d-4748-4f2d-b13c-4374803706d9"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "74cb5cec-b582-4cf9-81e3-ca813d56390a",
"customer_guids": [
"4c8ba276-8c5b-4fd7-a45f-0072e33116a1",
"efd658e8-2aba-46a9-adc1-50046f667fea",
"5e038245-61b6-4355-ae82-cb030c7b40fd"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "41ff8192-66ba-474e-b903-2e13e9da966a",
"customer_guids": [
"fa55deee-05d1-43cb-964f-b8df8fa589a4",
"8bd7aace-1ebf-49b7-9032-c256a2998230",
"d32488a6-6287-4051-9450-32ad9d9c76e4"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid |
No documentation available. |
| CustomerGuids | Object |
No documentation available. |
| RepositoryName | String |
No documentation available. |
| RepositoryUrl | String |
No documentation available. |
| Username | String |
No documentation available. |
| Geolocs | Object |
No documentation available. |
| Type | String |
No documentation available. |
| Images | Object |
No documentation available. |
| fpr | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| zebratester | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| runbin | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| postman | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| playwright | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| Mirroring | Boolean |
No documentation available. |
| Message | String |
No documentation available. |
| Success | Boolean |
No documentation available. |